C+------------------------------------------------------------------------------
C
C     Name:   
C        af2_obs.inc
C
C     Description:
C        Include file for af2_configure and its subroutines which defines
C        parameters of the observatory and telescope.
C
C     Language:
C        FORTRAN 77
C
C     Non-standard language extensions:
C        variable names > 6 characters
C
C     Authors:
C        (JRL): James R. Lewis -- RGO, Cambridge
C
C     History:
C        01 Dec 1995 (JRL):
C           Original version
C
C-------------------------------------------------------------------------------
C
C     Local ambient pressure (mB)
C
      double precision pmb        
      parameter (pmb = 779.0d+00)
C
C     Local ambient relative humidity (fraction)
C
      double precision rh         
      parameter (rh = 0.5d+00)
C
C     Local ambient temperature (K)
C
      double precision tdk
      parameter (tdk = 279.0d+00)
C
C     Tropospheric lapse rate (K/m)
C
      double precision tlr
      parameter (tlr = 0.0065d+00)
C
C     Effective wavelength (micron)
C
      double precision wl
      parameter (wl = 0.4d+00)
C
C     Observatory name for slalib.
C
      character oname*6
      parameter (oname='LPO4.2')
C
C     Convergence criterion for refraction correction iterations
C
      double precision eps
      parameter (eps=1.0d-10)
C
C     Telescope information file 
C
      character tif*13
      parameter (tif='wht_prime.dat')
