#include <stdio.h>
#include <stdlib.h>
#include "af2_par.h"

#ifdef REMOVE_CSUB_UNDERSCORE
void csub_free_(ptr,status)
#else
void csub_free__(ptr,status)
#endif
/*----------------------------------------------------------------------------*/
/*                                                                            */
/*    Name:                                                                   */
/*       csub_free_                                                           */
/*                                                                            */
/*    Invocation:                                                             */
/*       call csub_free(ptr,status)                                           */
/*                                                                            */
/*    Description:                                                            */
/*       Free a previously allocated workspace.  This is meant to be called   */
/*       from a FORTRAN routine                                               */
/*                                                                            */
/*    Arguments: (">" Input, "<" Output, "W" Workspace, "!"  Changed)         */
/*       ptr:  Unsigned int* (>)                                              */
/*          The pointer to the workspace to be freed                          */
/*       status:  Int* (!)                                                    */
/*          The global status variable                                        */
/*                                                                            */
/*    Language:                                                               */
/*       ANSI C                                                               */
/*                                                                            */
/*    Non-standard language extensions:                                       */
/*       None                                                                 */
/*                                                                            */
/*    Algorithm:                                                              */
/*       -- Free the workspace using the standard C intrinsic routine         */
/*                                                                            */
/*    Authors:                                                                */
/*       (JRL): James R. Lewis -- RGO, Cambridge                              */
/*                                                                            */
/*    History:                                                                */
/*       01 Dec 1995 (JRL):                                                   */
/*          Original version                                                  */
/*                                                                            */
/*----------------------------------------------------------------------------*/

/* Parameters */
unsigned int *const ptr;
int *const status;

{

      /* Inherited status */
      if (*status != AF2_OK) return;

      /* Free the allocated workspace */
      free ((void *)*ptr) ;
}
